<?
session_start();
require("conectar.php");

echo <<<h
<HTML>
<HEAD>
<LINK href="estilo.css" rel=stylesheet>
<TITLE>ANIVERSARIOS</TITLE>
</HEAD>

<BODY>
h;

$tclas="tmed";
require ("fecha.php");

//$comparador=substr($fecha, 5, 5);
$mes=$_GET['mes'];
if($mes=='Enero'){$mesactual="01";}if($mes=='Febrero'){$mesactual="02";}if($mes=='Marzo'){$mesactual="03";}if($mes=='Abril'){$mesactual="04";}if($mes=='Mayo'){$mesactual="05";}if($mes=='Junio'){$mesactual="06";}if($mes=='Julio'){$mesactual="07";}if($mes=='Agosto'){$mesactual="08";}if($mes=='Septiembre'){$mesactual="09";}if($mes=='Octubre'){$mesactual="10";}if($mes=='Noviembre'){$mesactual="11";}if($mes=='Diciembre'){$mesactual="12";}
//$mesactual;
//$mesactual=date("m");

for ($i=1;$i<=$mesactual;$i++){
	switch($i){ 
		case 1:   
			$md="ENERO";
			break;
		case 2:   
			$md="FEBRERO";
			break; 
		case 3:   
			$md="MARZO";
			break;
		case 4:   
			$md="ABRIL";
			break;
		case 5:   
			$md="MAYO";
			break; 
		case 6:   
			$md="JUNIO";
			break; 
		case 7:   
			$md="JULIO";
			break;
		case 8:   
			$md="AGOSTO";
			break; 
		case 9:   
			$md="SEPTIEMBRE";
			break;
		case 10:   
			$md="OCTUBRE";
			break;
		case 11:   
			$md="NOVIEMBRE";
			break; 
		case 12:   
			$md="DICIEMBRE";
			break; 
		default: break;
	}
$ultimo=31;

while(Checkdate($i,$ultimo,$aņo) == 0)
 {
  $ultimo--;  
 }

}
$fechaini="$mesactual-01";
$fechafin="$mesactual-$ultimo";

echo <<<h
<table width="650" border="1" cellspacing="0" cellpadding="1" align="center" bordercolor="#306098" class=$tclas>
<tr>
	<td align="center" colspan=4>
	<B>Este mes de $mes celebran su cumpleaņos</B>
	</td>
</tr>
h;

$sql="SELECT DISTINCT rfc, CONCAT(nombre,' ',a_pat,' ',a_mat) AS nom, puesto FROM empleados WHERE fechabaja='0000-00-00' AND rfc<>'' ORDER BY nom ASC";
$re=mysql_query($sql);
while($le=mysql_fetch_object($re))
{
$sqlp="select puesto from puestos where id_puesto='$le->puesto'";
$eje=mysql_query($sqlp);
$p=mysql_fetch_object($eje);
$puesto=$p->puesto;

$nommbre=$le->Nombre;
$mesnacimiento=substr($le->rfc, 6, 2);
$dianacimiento=substr($le->rfc, 8, 2);
$anonacimiento=substr($le->rfc, 4, 2);


$fechanac="$mesnacimiento-$dianacimiento";
$fecha_completa="19$anonacimiento-$mesnacimiento-$dianacimiento";

if ($fechanac>=$fechaini && $fechanac<=$fechafin)
	{		
	if($nommbre=="JOSES DE JESUS")
    	$redp="<font color='red'><b>";		
		else			
		$redp="";
echo<<<h
<tr>
	<td WIDTH="150" >		
	    $redp
		$fecha_completa
	</td>
		<td>		
		$redp
		$le->nom
	</td>
	<td>		
	    $redp
		$puesto
	</td>	
</tr>
h;
	}
}
mysql_free_result($re);

$ftit="#F0F8FF";

echo<<<h
</table>
h;


echo <<<h
</BODY>
</HTML>
h;
mysql_close();
?>